org.apache.commons.jelly.tags.define

## Class InvokeTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.InvokeTag

All Implemented Interfaces:
  Tag

    public class InvokeTag
    extends TagSupport

The <invoke> tag will invoke a given Script instance. It can be used with the <script> tag which defines scripts as variables that can later be invoked by this <invoke> tag.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`InvokeTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setScript(Script script)` Sets the Script to be invoked by this tag, which typically has been previously defined by the use of the <script> tag.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvokeTag

    public InvokeTag()

### Method Detail

#### setScript

    public void setScript(Script script)

Sets the Script to be invoked by this tag, which typically has been previously defined by the use of the <script> tag.

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`